#ifndef __IO____H__
#define __IO____H__

#include <SDL.h>
#include <SDL_timer.h>

void io_mark_frame_start();

void io_start();
void io_destroy();

Uint8 io_read8_16bitaddr(Uint16 port);
void io_write8_16bitaddr(Uint16 port, Uint8 value);

Uint8 io_read8_border_colour();
Uint8 io_is_speaker_active();

void io_ear_write1(Uint8 value);

#endif  // !__IO____H__
