#ifndef __KEMPSTON____H__
#define __KEMPSTON____H__

#include <SDL.h>

#define KEMPSTON_UP 0b00001000
#define KEMPSTON_DOWN 0b00000100
#define KEMPSTON_LEFT 0b00000010
#define KEMPSTON_RIGHT 0b00000001
#define KEMPSTON_FIRE 0b00010000

void kempston_start();
void kempston_destroy();

Uint8 kempston_is_supported_address(Uint16 address);
Uint8 kempston_read8(Uint16 address);

void kempston_keyup(SDL_Keysym key);
void kempston_keydown(SDL_Keysym key);


#endif  // !__KEMPSTON____H__